/**
* @Author: zhangshu
* @email: shiliang.zhang@tuya.com
* @LastEditors: zhangshu
* @file name: baudrate_adaptive.h
* @Description: baudrate adaptive
* @Copyright: HANGZHOU TUYA INFORMATION TECHNOLOGY CO.,LTD
* @Company: http://www.tuya.com
* @Date: 2022-11-13
* @LastEditTime: 2022-11-13
*/
#ifndef __BAUDRATE_ADAPTIVE_H__
#define __BAUDRATE_ADAPTIVE_H__

#include "tuya_cloud_types.h"

#ifdef __cplusplus
	extern "C" {
#endif

typedef enum {
    BAUDRATE_ADAPTIVE_NONE,
    BAUDRATE_ADAPTIVE_TYPE_BEACON,
    BAUDRATE_ADAPTIVE_TYPE_CHECK_INFO,
}BAUDRATE_ADAPTIVE_TYPE_E;

/**
 * @brief delay start baudrate adaptive
 *
 * @param[in] delay_ms: delay time in ms
 * @param[in] type: baudrate adaptive type
 * @return NULL
 */
VOID_T baudrate_adaptive_start(UINT32_T delay_ms, BAUDRATE_ADAPTIVE_TYPE_E type);

/**
 * @brief baudrate adaptive success callback
 *
 * @param[in] NULL
 * @return NULL
 */
VOID_T baudrate_adaptive_success_callback(VOID_T);

/**
 * @brief baudrate adaptive init
 *
 * @param[in] NULL
 * @return NULL
 */
VOID_T baudrate_adaptive_init(VOID_T);

/**
 * @brief baudrate adaptive event init
 *
 * @param[in] NULL
 * @return NULL
 */
VOID_T baudrate_adaptive_event_init(VOID_T);

#ifdef __cplusplus
}
#endif

#endif

