/**
* @Author: Leon
* @email: zhangpeng@tuya.com
* @LastEditors: Leon
* @file name: serial_protocol_queue.h 
* @Description: serial protocol used by TuYa ZigBee modules and MCU communicated by UART
* @Copyright: HANGZHOU TUYA INFORMATION TECHNOLOGY CO.,LTD
* @Company: http://www.tuya.com
* @Date: 2019-03-25 21:41:05
* @LastEditTime: 2019-03-25 23:03:25
*/

#ifndef __DP_DATA_BACKUP_H
#define __DP_DATA_BACKUP_H

#ifdef __cplusplus
extern "C" {
#endif

#include "tuya_zigbee_stack.h"

typedef enum
{
    DP_TYPE_RAW = 0X00,     //raw
    DP_TYPE_BOOL,           //bool
    DP_TYPE_VALUE,          //value
    DP_TYPE_STRING,         //string
    DP_TYPE_ENUM,           //enum
    DP_TYPE_FAULT,          //fault
} DP_TYPE_E;

typedef struct
{
  UINT8_T      dpid;
  DP_TYPE_E    dp_type;
  UINT16_T     dp_len;
  UINT8_T      dp_data[60];
} dp_data_t;

/**
 * @description: dp data request handler
 * @param[in] buffer: dp data
 * @param[in] buffer_len: buff len
 * @return: none
 */
VOID_T dev_data_req_handle(UINT8_T* buffer, UINT8_T buffer_len); 

/**
 * @description: dp data read handler
 * @param[in] buffer: dp data
 * @param[in] buffer_len: buff len
 * @return: none
 */
VOID_T read_dp_data_handle(UINT8_T *data, UINT8_T data_len);

/**
 * @description: backup dp data init
 * @param[in] NULL
 * @return: none
 */
VOID_T backup_dp_data_init(VOID_T);

#ifdef __cplusplus
}
#endif

#endif /*__SERIAL_PROTOCOL_QUEUE_H*/
