/*
 * @Author: zhangshu
 * @email: shiliang.zhang@tuya.com
 * @LastEditors: Please set LastEditors
 * @file name: app_common.c
 * @Description: common function
 * @Copyright: HANGZHOU TUYA INFORMATION TECHNOLOGY CO.,LTD
 * @Company: http://www.tuya.com
 * @Date: 2022-11-30
 * @LastEditTime: 2022-11-30
 */
#include "app_common.h"

STATIC UINT16_T app_seq_num = 0;

/**
 * @description: check sum
 * @param[in] data: checksum data
 * @param[in] len: data len
 * @return: checksum result
 */
UINT8_T make_checksum(UINT8_T *data, UINT16_T len)
{
    UINT16_T i;
    UINT8_T sum = 0;

    for (i = 0; i < len; i++){
        sum += data[i];
    }

    return sum;
}

/**
 * @description: my atoi
 * @param[in] s[]: sorce char
 * @return: none
 */
INT_T my_atoi(CHAR_T s[])
{
    INT_T i;
    INT_T n = 0;
    for (i = 0; s[i] >= '0' && s[i] <= '9'; ++i)
    {
        n = 10 * n + (s[i] - '0');
    }
    return n;
}

/**
* @description: get user application data send sequence numbers
* @param {type} none
* @return: sequence number
*/
UINT16_T app_seq_num_get(VOID_T)
{
    if (app_seq_num >= 0xFFF0){
        app_seq_num = 1;
    }
    else{
        app_seq_num++;
    }

    return app_seq_num;
}

